unit Kopy_thread;

interface

uses Windows, Classes;

type TThreadKopy = class(TThread)
	private
		{ Private-Deklarationen }
		exitThis: Boolean;
		procedure kopyblock;
	published
		constructor Create;
		destructor Destroy; override;
	protected
		procedure Execute; override;
end;

implementation

uses Kopy_functions;

procedure TThreadKopy.kopyblock;
begin
	NumRead := SizeBlockRead(FromF);
	exitthis := True;
end;

constructor TThreadKopy.Create;
begin
	inherited Create(true);      // Create thread suspended
	Priority := TThreadPriority(tpHigher); // Set Priority Level
	FreeOnTerminate := False; //true; // Thread Free Itself when terminated
	exitThis := False;
	Suspended := false;         // Continue the thread
end;

procedure TThreadKopy.Execute;
begin
	repeat
		synchronize(kopyblock);
		Sleep(0);
	until exitthis;
end;


destructor TThreadKopy.destroy;
begin
	inherited Destroy;
end;

end.

