// thread to keep window visible
unit act_thread;

interface

uses Windows, Classes;

type TThreadCheck = class(TThread)
   private
      { Private-Deklarationen }
      exitThis: Boolean;
      procedure Check;
   published
      constructor Create;
      destructor Destroy; override;
   protected
      procedure Execute; override;
end;

implementation

uses Kopy_error;

procedure TThreadCheck.Check;
begin
   kF.ActWin;
   kF.Repaint;
   kF.ActWin;
   if not kF.Button3.Cancel then exitThis := True;
end;

constructor TThreadCheck.Create;
begin
   inherited Create(true);      // Create thread suspended

   Priority := TThreadPriority(tpHighest); // Set Priority Level
   //Priority := TThreadPriority(tpTimeCritical); // Set Priority Level
   FreeOnTerminate := True; // Thread Free Itself when terminated
   exitThis := False;
   Suspended := false;         // Continue the thread
end;

procedure TThreadCheck.Execute;
begin
   if exitThis then 
      ExitThread(0);
   repeat
      synchronize(Check);
      Sleep(1000);
   until exitthis;
end;

destructor TThreadCheck.destroy;
begin
   inherited Destroy;
end;

end.

